USN-4277-1

See a problem?
Source
https://ubuntu.com/security/notices/USN-4277-1
Import Source
https://github.com/canonical/ubuntu-security-notices/blob/main/osv/USN-4277-1.json
JSON Data
https://api.osv.dev/v1/vulns/USN-4277-1
Related
Published
2020-02-11T16:48:04.296901Z
Modified
2020-02-11T16:48:04.296901Z
Summary
libexif vulnerabilities
Details

Liu Bingchang discovered that libexif incorrectly handled certain files. An attacker could possibly use this issue to access sensitive information or cause a denial of service. This issue only affected Ubuntu 12.04 ESM, Ubuntu 14.04 ESM and Ubuntu 16.04 LTS. (CVE-2016-6328)

Lili Xu and Bingchang Liu discovered that libexif incorrectly handled certain files. An attacker could possibly use this issue to access sensitive information or cause a denial of service. This issue only affected Ubuntu 12.04 ESM, Ubuntu 14.04 ESM and Ubuntu 16.04 LTS. (CVE-2017-7544)

It was discovered that libexif incorrectly handled certain files. An attacker could possibly use this issue to execute arbitrary code. (CVE-2019-9278)

References

Affected packages

Ubuntu:Pro:14.04:LTS / libexif

Package

Name
libexif

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
0.6.21-1ubuntu1+esm1

Ecosystem specific

{
    "availability": "Available with Ubuntu Pro: https://ubuntu.com/pro",
    "binaries": [
        {
            "libexif12": "0.6.21-1ubuntu1+esm1",
            "libexif-dev": "0.6.21-1ubuntu1+esm1"
        }
    ]
}

Ubuntu:18.04:LTS / libexif

Package

Name
libexif

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
0.6.21-4ubuntu0.1

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "libexif12": "0.6.21-4ubuntu0.1",
            "libexif-doc": "0.6.21-4ubuntu0.1",
            "libexif-dev": "0.6.21-4ubuntu0.1"
        }
    ]
}

Ubuntu:16.04:LTS / libexif

Package

Name
libexif

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
0.6.21-2ubuntu0.1

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "libexif12": "0.6.21-2ubuntu0.1",
            "libexif-dev": "0.6.21-2ubuntu0.1"
        }
    ]
}